Subject: [L2sm] I-D Action: draft-ietf-l2sm-l2vpn-service-model-09.txt

From: [email-masked]
Date: Tue, 03 Apr 2018 02:39:03 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the L2VPN Service Model WG of the IETF.

        Title           : A YANG Data Model for L2VPN Service Delivery
        Authors         : Bin Wen
                          Giuseppe Fioccola
                          Chongfeng Xie
                          Luay Jalil
	Filename        : draft-ietf-l2sm-l2vpn-service-model-09.txt
	Pages           : 156
	Date            : 2018-04-03

Abstract:
   This document defines a YANG data model that can be used to configure
   a Layer 2 Provider Provisioned VPN service.

   This model is intended to be instantiated at management system to
   deliver the overall service.  This model is not a configuration model
   to be used directly on network elements, but provides an abstracted
   view of the Layer 2 VPN service configuration components.  It is up
   to a management system to take this as an input and generate specific
   configurations models to configure the different network elements to
   deliver the service.  How configuration of network elements is done
   is out of scope of the document.

   The YANG model in this document includes support for point-to-point
   Virtual Private Wire Services (VPWS) and multipoint Virtual Private
   LAN services (VPLS) that use Pseudowires signaled using the Label
   Distribution Protocol (LDP) and the Border Gateway Protocol (BGP) as
   described in RFC4761 and RFC6624.

   The YANG model in this document conforms to the Network Management
   Datastore Architecture defined in I-D.ietf-netmod-revised-datastores.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-l2sm-l2vpn-service-model/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-l2sm-l2vpn-service-model-09
https://datatracker.ietf.org/doc/html/draft-ietf-l2sm-l2vpn-service-model-09

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-l2sm-l2vpn-service-model-09

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Fioccola Giuseppe <[email-masked]>
Date: Tue, 3 Apr 2018 09:45:03 +0000

Hi All,
This new revision of draft-ietf-l2sm-l2vpn-service-model addresses Lada's and Joel's comments.

Thanks,

Giuseppe

-----Messaggio originale-----
Da: L2sm [mailto:[email-masked]] Per conto di [email-masked]
Inviato: martedì 3 aprile 2018 11:39
A: [email-masked]
Cc: [email-masked]
Oggetto: [L2sm] I-D Action: draft-ietf-l2sm-l2vpn-service-model-09.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

_______________________________________________
L2sm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/l2sm

Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle persone indicate. La diffusione, copia o qualsiasi altra azione derivante dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora abbiate ricevuto questo documento per errore siete cortesemente pregati di darne immediata comunicazione al mittente e di provvedere alla sua distruzione, Grazie. 

This e-mail and any attachments is confidential and may contain privileged information intended for the addressee(s) only. Dissemination, copying, printing or use by anybody else is unauthorised. If you are not the intended recipient, please delete this message and any attachments and advise the sender by return e-mail, Thanks. 

Rispetta l'ambiente. Non stampare questa mail se non è necessario.

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 3 Apr 2018 12:37:05 -0400

The following minor items from my review do not seem to have been dealt 
with.  They are rephrased ehre for clarity:

     Section 5.2 still says in the definition of Cloud Access that 
"[a]ll sites in the L2VPN MUST be authorized ..." while section 5.3.2 
says SHOULD, with clear instructions for how to handle exceptions.  I 
presume 5.2 should say SHOULD?

     Section 5.3 still talks about a site having multiple locations 
without any specific requirement that there be internal connectivity 
among those locations.  I understand that the model does not represent 
that connectivity.  But it seems pretty clear that things will break if 
that connectivity is not present.

      Section 5.5.1.2 on connecting to multiple VPNs still talks about 
prefixes.  This is, as far as I know, an L2VPN service.  And L2VPNs work 
in MAC addresses, which do not use prefix based routing.  I think the 
solution is to replace "destination-based routing" with "MAC destination 
based forwarding", and to replace "mapping of its prefixes" with 
"mapping of its MAC addresses".
      Given that this is MAC address based forwarding, I think there 
also needs to be some text about what happens with BUM packets?

     In section 5.5.2.2 it is still unclear what it means to name LANs 
in a site.

     IN section 5.6, the text says that although constraints must be 
met, some specific constraints are just hints.  I would have thought 
those would be something other than constraints, but okay.  However, the 
wording is "Parameters such as ... as special constraints are just 
hints"  given the use of "such as", this implies that maybe some other 
constraints are special and just hints.  But the reader has no idea 
whether there are other hints.

Yours,
Joel

---

From: Fioccola Giuseppe <[email-masked]>
Date: Wed, 4 Apr 2018 12:54:22 +0000

Hi Joel,
I apologize for the oversight. Probably I lost these minor items during my review.
I will address them in the next revision.

Thanks a lot,

Giuseppe

-----Messaggio originale-----
Da: Joel M. Halpern [mailto:[email-masked]] 
Inviato: martedì 3 aprile 2018 18:37
A: Fioccola Giuseppe; [email-masked]; [email-masked]
Cc: Ladislav Lhotka; [email-masked]
Oggetto: Re: I: [L2sm] I-D Action: draft-ietf-l2sm-l2vpn-service-model-09.txt

The following minor items from my review do not seem to have been dealt with.  They are rephrased ehre for clarity:

     Section 5.2 still says in the definition of Cloud Access that "[a]ll sites in the L2VPN MUST be authorized ..." while section 5.3.2 says SHOULD, with clear instructions for how to handle exceptions.  I presume 5.2 should say SHOULD?

     Section 5.3 still talks about a site having multiple locations without any specific requirement that there be internal connectivity among those locations.  I understand that the model does not represent that connectivity.  But it seems pretty clear that things will break if that connectivity is not present.

      Section 5.5.1.2 on connecting to multiple VPNs still talks about prefixes.  This is, as far as I know, an L2VPN service.  And L2VPNs work in MAC addresses, which do not use prefix based routing.  I think the solution is to replace "destination-based routing" with "MAC destination based forwarding", and to replace "mapping of its prefixes" with "mapping of its MAC addresses".
      Given that this is MAC address based forwarding, I think there also needs to be some text about what happens with BUM packets?

     In section 5.5.2.2 it is still unclear what it means to name LANs in a site.

     IN section 5.6, the text says that although constraints must be met, some specific constraints are just hints.  I would have thought those would be something other than constraints, but okay.  However, the wording is "Parameters such as ... as special constraints are just hints"  given the use of "such as", this implies that maybe some other constraints are special and just hints.  But the reader has no idea whether there are other hints.

Yours,
Joel